## sc 6.21

=== Makefile ===
# Makefile $Revision: 6.21 $
#
# 1) Select the proper EXDIR (path), MANDIR, MANEXT, LIBDIR, SIGVOID,
#	RE_COMP/REGCMP, DFLT_PAGER, and FMOD. Most of the other things aren't
#	normally changed (see the comments with each)
# 2) Select the proper machine/compiler/OS section of code
#	for MS-DOS look for the pattern 'MS-DOS'
# 3) make install
# 4) If you have the command 'file' that uses /etc/magic add the line:
#	38	string		Spreadsheet	sc file


# Specify the name of the program.
# All documentation and installation keys on this value.
# 
name=sc
NAME=SC

# This is where the install step puts it.
#EXDIR=/site/bin
EXDIR=/usr/local/bin

# This is where the man page goes.
#MANDIR=/usr/local/src/man/man1	# reno
#MANEXT=1			# reno
MANDIR=/usr/man/manl
MANEXT=l
MANMODE=644

# This is where the library file (tutorial) goes.
#LIBDIR=/usr/local/share/$(name) # reno
LIBDIR=/usr/local/lib/$(name)

# Set SIMPLE for lex.c if you don't want arrow keys or lex.c blows up
SIMPLE=
#SIMPLE=-DSIMPLE

# Set BROKENCURSES if your curses has the nl/nonl bug
# if it does and you don't set BROKENCURSES, the display will
# be staggered across the screen. Also try IDLOKBAD below.
BROKENCURSES=
#BROKENCURSES=-DBROKENCURSES

# Set DOBACKUPS if you would like a backup copy of a source file on a save
#DOBACKUPS=
DOBACKUPS=-DDOBACKUPS

# Set INTERNATIONAL if you need 8 bit characters.  You should
# not set this if you are running 5.3.0.  I think it is OK in 5.3.1.
#INTERNATIONAL=-DINTERNATIONAL
INTERNATIONAL=

# Set SIGVOID if signal routines are type void.
# use: SIGVOID=-DSIGVOID for:
#	System 5.3, SunOS 4.X, VMS, BSD4.4 (reno), and ANSI C Compliant systems
# use: SIGVOID=		for:
#  BSD systems (excluding reno, BSD4.4), and the UNIXPC 'cc'
SIGVOID=-DSIGVOID
#SIGVOID=

# Set IEEE_MATH if you need setsticky() calls in your signal handlers
#
#IEEE_MATH=-DIEEE_MATH
IEEE_MATH=

# Set RINT=-DRINT if you do not have rint() in math.h
# Set RINT=	on/with (they have rint):
#	SunOS 4.0.3c compiler
#	BSD4.4 (reno)
#RINT=
RINT=-DRINT

# Set RE_COMP if you have the re_comp/re_exec regular expression routines
# (most BSD based systems do).
#RE_COMP=-DRE_COMP
RE_COMP=

# Set REGCMP if you have the regcmp/regex regular expression routines
# (most System V based systems do)
REGCMP=-DREGCMP
#REGCMP=

# This is the name of a pager like "more".
# "pg" may be appropriate for SYSV.
DFLT_PAGER=-DDFLT_PAGER=\"less\"
#DFLT_PAGER=-DDFLT_PAGER=\"more\"	# generic && reno

# this is the name to save back ups in
SAVE=-DSAVENAME=\"$(NAME).SAVE\"

# path to crypt, do not define if you don't have crypt
# most systems
CRYPT=-DCRYPT_PATH=\"/bin/crypt\"
# BSD
#CRYPT=-DCRYPT_PATH=\"/usr/bin/crypt\"
# other people?
#CRYPT=-DCRYPT_PATH=\"/usr/local/bin/crypt\"

# If you get errors about fmod being undefined when you try to
# compile, then define NO_FMOD (most likely BSD4.3 and Mt Xinu).
#FMOD=-DNO_FMOD
FMOD=

# If your system doesn't have notimeout() in curses define NONOTIMEOUT
NO_NOTIMEOUT=
#NO_NOTIMEOUT=-DNONOTIMEOUT

# flags for lint
LINTFLAGS=-abchxv

# Format of quick reference guide generated by $(name)qref
# Leave undefined for normal text output.
#QREF_FMT=
QREF_FMT=-DTROFF

# *** SPECIAL NOTES ***
# For ULTRIX: define the BSD4.2 section and SIGVOID above
#	tdw@cl.cam.ac.uk tested on Ultrix 3.1C-0
# HP-UX 7.0: Do NOT use -O
#	(known broken, try sc's boolean operators if you wish)
#
# **** SYSV curses bugs... ****
# Try setting IDLOKBAD to fix (with an empty spreadsheet):
#	a) Redrawing the bottom half of the screen when you
#	 	move between row 9 <-> 10
#	b) the highlighted row labels being trash when you
#		move between row 9 <-> 10
#	c) On an xterm on Esix Rev. D+ from eating lines
#		 -goto (or move) a few lines (or more) past the bottom
#		 of the screen, goto (or move) to the top line on the
#		 screen, move upward and the current line is deleted, the
#		 others move up even when they should not, check by
#		 noticing the rows become 2, 3, 40, 41, 42... (etc).
#	Known systems/terminfos w/ curses problems:
#	{Esix Rev. D+, AT&T SysV3.2.1}:at386-m,xterm, HP-UX7.0:(not sure)
IDLOKISBAD=-DIDLOKBAD
#IDLOKISBAD=

# If you don't have idlok() in your curses define NOIDLOK
NO_IDLOK=
#NO_IDLOK=-DNOIDLOK

# If moving right off the screen causes the screen to not redraw
# properly, define RIGHT_CBUG to get around a curses problem on some
# boxes, this forces screen redraws when going right off the screen
RIGHTBUG=
#RIGHTBUG=-DRIGHT_CBUG

# IF you have problems w/ your yacc try bison, Berkeley yacc, or
# some other yacc. Some systems don't allow you to
# increase the number of terminals (mostly AT&T), SCO's does though.
#YACC=yacc
# NOTE: Do not use with bison 1.16! Get a new version....
YACC=bison -y

# MS-DOS needs y_tab instead of the normal y.tab
#YTAB=y_tab
YTAB=y.tab

# Command to use to make temporary copies of some source files.
LN=ln
#LN=ln -s
#LN=cp

#### SYSTEM DEFINES ####

# Use this for system AIX V3.1
#CFLAGS= -O -DSYSV2 -DCHTYPE=int -DNLS
#LDFLAGS=
#LIB=-lm -lPW -lcurses

# Use this for system V.2 (includes: HP-UX 7.05, UNIXPC)
#CFLAGS= -O -DSYSV2 
#LDFLAGS=
#LIB=-lm -lPW -lcurses
# with gcc on a Sequent also use:
#CC=att gcc
#CFLAGS=  -DSYSV2 -g -pipe -traditional

# Use this for system V.3
CFLAGS=  -DSYSV3 -O
LDFLAGS= -s
#CFLAGS=  -DSYSV3 -g
#LDFLAGS= -g
LIB=-lm -lcurses -lPW
# with gcc also use:
#CC=gcc
#CFLAGS=  -DSYSV3 -O -pipe -traditional
# debugging bison (bison 1.16 is broken)
#CFLAGS=  -DSYSV3 -g -pipe -traditional
#YACC=bison -y -v -t -l

# Use this for system V.4
#CFLAGS=  -DSYSV4 -DSYSV3 -O
#LDFLAGS= -s
#LIB=-lm -lcurses -lgen
# with gcc also use:
#CC=gcc
#CFLAGS=  -DSYSV3 -O -pipe

# Microport
#CFLAGS= -DSYSV2 -O -DUPORT -Ml
#LDFLAGS=-Ml
#LIB=-lm -lcurses -lPW

# Use this for BSD 4.2
#CFLAGS= -O -DBSD42
#LDFLAGS=
#LIB=-lm -lcurses -ltermcap
# with gcc also use:
#CC=gcc

# Use this for Sequent boxes
#CC=atscc
#CFLAGS=-O -DBSD42
#LDFLAGS= 
#LIB=-lm -lcurses  -ltermcap
#PSCLIB=-lseq
# with gcc also use:
#CC=gcc
#CFLAGS= -O -DBSD42 -pipe

# Use this for BSD 4.3
#CFLAGS= -O -DBSD43
#LDFLAGS=
#LIB=-lm -lcurses -ltermcap

# Use this for SunOS 4.X if you have the System V package installed.
# This will link with the System V curses which is preferable to the
# BSD curses (especially helps scrolling on slow (9600bps or less)
# serial lines).
#
# Be sure to define SIGVOID and RE_COMP above.
# 
#CC=/usr/5bin/cc
#CFLAGS= -O -DSYSV3 
#LDFLAGS=
#LIB=-lm -lcurses 

# Use this for system III (XENIX)
#CFLAGS= -O -DSYSIII
#LDFLAGS= -i
#LIB=-lm -lcurses -ltermcap

# Use this for XENIX Version 2.3
#CFLAGS= -O -DSYSIII -DXENIX2_3
#LDFLAGS= -i
#LIB=-lm -lcurses -ltermcap

# Use this for VENIX
#CFLAGS= -DVENIX -DBSD42 -DV7
#LDFLAGS= -z -i 
#LIB=-lm -lcurses -ltermcap

# For SCO Unix V rel. 3.2.0
#       -compile using rcc, cc does not cope with gram.c
#       -edit /usr/include/curses.h, rcc does not understand #error
#       -link: make CC=cc, rcc's loader gets unresolved __cclass, __range
#               (rather strange,?)
#CC=rcc
#CC=cc
#CC=gcc -fstrength-reduce
#SIGVOID=-DSIGVOID
#CFLAGS= -O -DSYSV3
#LDFLAGS=
#LIB=-lm -lcurses -ltinfo -lPW
#YACC=yacc -Sm10000

# Use this for SCO Unix 3.2.2 and ODT 1.1
#CC=cc
#CFLAGS= -O -DSYSV3
#LDFLAGS=
#LIB=-lm -lcurses -lPW -lmalloc -lc_s
#YACC=yacc -Sm10000

# Use this for MS-DOS, Microsoft C 5.1 and NDMAKE
#CC=cl
#CFLAGS= -AL -O -Fo$*.o
#LDFLAGS=/noi /st:0x4000
#LIB=lcurses
#YACC=bison -y
#
#.SUFFIXES : .o .c
#.c.o:
#	$(CC) $(CFLAGS) -c $*.c

# All of the source files
SRC=Makefile cmds.c crypt.c eres.sed format.c gram.y help.c interp.c \
	lex.c psc.c range.c sc.c sc.h screen.c sres.sed version.c \
	vi.c vmtbl.c xmalloc.c

# The objects
OBJS=cmds.o crypt.o format.o gram.o help.o interp.o lex.o range.o sc.o \
	screen.o version.o vi.o vmtbl.o xmalloc.o

# The documents in the Archive
DOCS=CHANGES README sc.doc psc.doc tutorial.sc VMS_NOTES torev build.com

all:	$(name) p$(name) $(name)qref

$(name):$(PAR) 	$(OBJS)
	$(CC) ${LDFLAGS} ${OBJS} ${LIB} -o $(name)

# Alternative link for MS-DOS
#$(name): 	$(OBJS)
#	link ${LDFLAGS} ${OBJS},$(name),,${LIB};

gram.c:	gram.y
	$(YACC) -d gram.y
	mv $(YTAB).c gram.c

$(YTAB).h:	gram.y

p$(name):	psc.c pvmtbl.o pxmalloc.o
	$(CC) $(CFLAGS) ${LDFLAGS} -o p$(name) psc.c pvmtbl.o pxmalloc.o ${PSCLIB}

# Alternative link for MS-DOS (NB: MSC 5.1 has no getopt.c)
#p$(name): 	psc.o pvmtbl.o pxmalloc.o getopt.o
#	link ${LDFLAGS} psc.o pvmtbl.o pxmalloc.o getopt.o,p$(name);

qhelp.c: help.c
	-rm -f qhelp.c
	${LN} help.c qhelp.c

$(name)qref:	qhelp.c sc.h
	$(CC) $(CFLAGS) $(LDFLAGS) -DQREF $(QREF_FMT) -DSCNAME=\"$(NAME)\" -o $(name)qref qhelp.c

# Alternative link for MS-DOS
#$(name)qref:	qhelp.c sc.h
#	$(CC) -AL -O -Foqhelp.o -c -DQREF -DSCNAME=\"$(name)\" qhelp.c
#	link ${LDFLAGS} qhelp.o,$(name)qref;

pvmtbl.c: vmtbl.c
	-rm -f pvmtbl.c
	${LN} vmtbl.c pvmtbl.c

pvmtbl.o: sc.h pvmtbl.c
	$(CC) ${CFLAGS} -c -DPSC pvmtbl.c

pxmalloc.c: xmalloc.c
	-rm -f pxmalloc.c
	${LN} xmalloc.c pxmalloc.c

# Objects

cmds.o: cmds.c sc.h
	$(CC) ${CFLAGS} ${DOBACKUPS} ${CRYPT} -c cmds.c

crypt.o: crypt.c sc.h
	$(CC) ${CFLAGS} ${CRYPT} ${DOBACKUPS} -c crypt.c

format.o: format.c

help.o: help.c sc.h
	$(CC) ${CFLAGS} ${CRYPT} -c help.c

qhelp.o: qhelp.c sc.h
	$(CC) ${CFLAGS} ${CRYPT} -c qhelp.c

interp.o:	interp.c sc.h
	$(CC) ${CFLAGS} ${IEEE_MATH} ${SIGVOID} ${RINT} ${RE_COMP} ${REGCMP} ${FMOD} -c interp.c

gram.o:	sc.h $(YTAB).h gram.c
	$(CC) ${CFLAGS} -c gram.c
	sed < gram.y > experres.h -f eres.sed
	sed < gram.y > statres.h -f sres.sed

lex.o:	sc.h $(YTAB).h gram.o lex.c
	$(CC) ${CFLAGS} ${SIMPLE} ${IEEE_MATH} ${SIGVOID} ${NO_NOTIMEOUT} -c lex.c

pxmalloc.o: sc.h pxmalloc.c
	$(CC) ${CFLAGS} -c -DPSC pxmalloc.c

range.o: range.c sc.h

sc.o:	sc.h sc.c
	$(CC) ${CFLAGS} ${DFLT_PAGER} ${RIGHTBUG} ${SIGVOID} ${SAVE} -c sc.c

screen.o:	sc.h screen.c
	$(CC) ${CFLAGS} ${BROKENCURSES} ${IDLOKISBAD} ${INTERNATIONAL} ${RIGHTBUG} ${SIGVOID} ${NO_IDLOK} -c screen.c

vi.o: vi.c sc.h

# other stuff

clean:
	rm -f *.o *res.h y.tab.h debug core gram.c $(name).1 \
	p$(name).1 y.output pxmalloc.c pvmtbl.c qhelp.c y_tab.h

clobber:
	rm -f *.o *res.h $(YTAB).h $(name) p$(name) debug core gram.c $(name).1 \
	$(name).man p$(name).man p$(name).1 y.output $(name)qref \
	pxmalloc.c pvmtbl.c qhelp.c

shar: ${SRC} ${DOCS}
	shar -c -m 64000 -f shar ${DOCS} ${SRC}

sshar: ${SRC}
	shar -c -m 1000000 -f shar ${SRC}

lint: sc.h sc.c lex.c gram.c interp.c cmds.c crypt.c range.c help.c \
 	vi.c version.c xmalloc.c format.c vmtbl.c
	lint ${LINTFLAGS} ${CFLAGS} ${SIMPLE} sc.c lex.c gram.c interp.c \
 	cmds.c crypt.c range.c help.c vi.c version.c xmalloc.c format.c \
 	vmtbl.c -lcurses -lm 
	make lintqref

lintqref: help.c
	lint ${LINTFLAGS} ${CFLAGS} ${SIMPLE} -DQREF help.c

lintpsc: psc.c vmtbl.c
	lint ${LINTFLAGS} ${CFLAGS} ${SIMPLE} -DPSC psc.c vmtbl.c

inspect: sc.h sc.c lex.c gram.c interp.c cmds.c crypt.c
	/bruces/ianj/bin/i386/inspect -abv -t 8 sc.c lex.c gram.c interp.c \
	cmds.c crypt.c range.c xmalloc.c help.c vi.c

print: sc.h gram.y sc.c lex.c interp.c cmds.c crypt.c 
	prc sc.h gram.y sc.c lex.c interp.c cmds.c crypt.c | lpr

$(name).1:	sc.doc
	name=$(name) NAME=$(NAME) LIBDIR=$(LIBDIR) sh torev sc.doc >  $(name).1
#	sed -e s/pname/$(name)/g -e s/PNAME/$(NAME)/g \
#	   -e s%#LIBDIR#%$(LIBDIR)%g sc.doc >  $(name).1
#	REVISION=`sed -e '/Revision/!D' -e 's/.*$Revision: 6.21 $(
#	sed -e s/pname/$(name)/g -e s/PNAME/$(NAME)/g \
#		-e s%#LIBDIR#%$(LIBDIR)%g \
#		-e 's/#REVISION#/$(REVISION)/' sc.doc >  $(name).1

$(name).man:	$(name).1
	nroff -man $(name).1 > $(name).man

laser:	$(name).1
	itpf -x -Pim2 -man $(name).1

p$(name).1:	psc.doc
	name=$(name) NAME=$(NAME) LIBDIR=$(LIBDIR) sh torev psc.doc > p$(name).1
#	sed -e s/pname/$(name)/g -e s/PNAME/$(NAME)/g psc.doc >  p$(name).1

p$(name).man:	p$(name).1
	nroff -man p$(name).1 > p$(name).man

install: $(EXDIR)/$(name) $(EXDIR)/$(name)qref $(EXDIR)/p$(name) \
	 $(LIBDIR)/tutorial \
	 $(MANDIR)/$(name).$(MANEXT) $(MANDIR)/p$(name).$(MANEXT)

$(EXDIR)/$(name): $(name)

## sc 7.13

=== Makefile ===
# Makefile $Revision: 7.13 $
#
# 1) Select the proper EXDIR (path), MANDIR, MANEXT, LIBDIR, SIGVOID,
#	RE_COMP/REGCMP, DFLT_PAGER, and FMOD. Most of the other things aren't
#	normally changed (see the comments with each)
# 2) Select the proper machine/compiler/OS section of code
#	for MS-DOS look for the pattern 'MS-DOS'
# 3) make install
# 4) If you have the command 'file' that uses /etc/magic add the line:
#	38	string		Spreadsheet	sc file


# Specify the name of the program.
# All documentation and installation keys on this value.
# 
name=sc
NAME=SC

# The base directory where everything should be installed.  If you're
# packaging this with an O/S, for example, you'll probably want to change
# this to /usr.  Otherwise, /usr/local is probably more appropriate, unless
# you're replacing the vendor-supplied version.
prefix=/usr

# This is where the install step puts it.
EXDIR=${prefix}/bin

# This is where the man page goes.
MANDIR=${prefix}/man/man1
MANEXT=1
MANMODE=644

# This is where the library file (tutorial) goes.
#LIBDIR=/usr/local/share/$(name) # reno
LIBDIR=${prefix}/lib/$(name)

# Set SIMPLE for lex.c if you don't want arrow keys or lex.c blows up
#SIMPLE=-DSIMPLE
SIMPLE=

# Set BROKENCURSES if your curses has the nl/nonl bug
# if it does and you don't set BROKENCURSES, the display will
# be staggered across the screen. Also try IDLOKBAD below.
#BROKENCURSES=-DBROKENCURSES
BROKENCURSES=

# Set DOBACKUPS if you would like a backup copy of a source file on a save
#DOBACKUPS=
DOBACKUPS=-DDOBACKUPS

# Set SIGVOID if signal routines are type void.
# use: SIGVOID=-DSIGVOID for:
#	System 5.3, SunOS 4.X, VMS, BSD4.4 (reno), and ANSI C Compliant systems
# use: SIGVOID=		for:
#  BSD systems (excluding reno, BSD4.4), and the UNIXPC 'cc'
#SIGVOID=
SIGVOID=-DSIGVOID

# Set IEEE_MATH if you need setsticky() calls in your signal handlers
#
#IEEE_MATH=-DIEEE_MATH
IEEE_MATH=

# Set RINT=-DRINT if you do not have rint() in math.h
# Set RINT=	on/with (they have rint):
#	SunOS 4.0.3c compiler
#	BSD4.4 (reno)
#RINT=-DRINT
RINT=

# Set RE_COMP if you have the re_comp/re_exec regular expression routines
# (most BSD based systems do).
#RE_COMP=
RE_COMP=-DRE_COMP

# Set REGCMP if you have the regcmp/regex regular expression routines
# (most System V based systems do)
#REGCMP=-DREGCMP
REGCMP=

# This is the name of a pager like "more".
# "pg" may be appropriate for SYSV.
#DFLT_PAGER=-DDFLT_PAGER=\"more\"	# generic && reno
DFLT_PAGER=-DDFLT_PAGER=\"less\"

# this is the name to save back ups in
SAVE=-DSAVENAME=\"$(NAME).SAVE\"

# path to crypt, do not define if you don't have crypt
# most systems
#CRYPT=-DCRYPT_PATH=\"/bin/crypt\"
# BSD
# CRYPT=-DCRYPT_PATH=\"/usr/bin/crypt\"
# other people?
#CRYPT=-DCRYPT_PATH=\"/usr/local/bin/crypt\"

# If you get errors about fmod being undefined when you try to
# compile, then define NO_FMOD (most likely BSD4.3 and Mt Xinu).
#FMOD=-DNO_FMOD
FMOD=

# If your system doesn't have notimeout() in curses define NONOTIMEOUT
#NO_NOTIMEOUT=-DNONOTIMEOUT
NO_NOTIMEOUT=

# flags for lint
LINTFLAGS=-abchxv

# Format of quick reference guide generated by $(name)qref
# Leave undefined for normal text output.
#QREF_FMT=
QREF_FMT=-DTROFF

# *** SPECIAL NOTES ***
# For ULTRIX: define the BSD4.2 section and SIGVOID above
#	tdw@cl.cam.ac.uk tested on Ultrix 3.1C-0
# HP-UX 7.0: Do NOT use -O
#	(known broken, try sc's boolean operators if you wish)
#
# **** SYSV curses bugs... ****
# Try setting IDLOKBAD to fix (with an empty spreadsheet):
#	a) Redrawing the bottom half of the screen when you
#		move between row 9 <-> 10
#	b) the highlighted row labels being trash when you
#		move between row 9 <-> 10
#	c) On an xterm on Esix Rev. D+ from eating lines
#		 -goto (or move) a few lines (or more) past the bottom
#		 of the screen, goto (or move) to the top line on the
#		 screen, move upward and the current line is deleted, the
#		 others move up even when they should not, check by
#		 noticing the rows become 2, 3, 40, 41, 42... (etc).
#	Known systems/terminfos w/ curses problems:
#	{Esix Rev. D+, AT&T SysV3.2.1}:at386-m,xterm, HP-UX7.0:(not sure)
#IDLOKISBAD=-DIDLOKBAD
IDLOKISBAD=

# If you don't have idlok() in your curses define NOIDLOK
#NO_IDLOK=-DNOIDLOK
NO_IDLOK=

# If moving right off the screen causes the screen to not redraw
# properly, define RIGHT_CBUG to get around a curses problem on some
# boxes, this forces screen redraws when going right off the screen
#RIGHTBUG=-DRIGHT_CBUG
RIGHTBUG=

# IF you have problems w/ your yacc try bison, Berkeley yacc, or
# some other yacc. Some systems don't allow you to
# increase the number of terminals (mostly AT&T), SCO's does though.
# YACC=yacc
# NOTE: Do not use with bison 1.16! Get a new version....
YACC=bison -y

# MS-DOS needs y_tab instead of the normal y.tab
#YTAB=y_tab
YTAB=y.tab

# Command to use to make temporary copies of some source files.
#LN=ln -s
#LN=cp
LN=ln

#### SYSTEM DEFINES ####

#########################################
# Use this for system AIX V3.1
#CFLAGS= -O -DSYSV2 -DCHTYPE=int -DNLS
#LDFLAGS=
#LIB=-lm -lPW -lcurses

#########################################
# Use this for system V.2 (includes: HP-UX 7.05, UNIXPC)
#CFLAGS= -O -DSYSV2 
#LDFLAGS=
#LIB=-lm -lPW -lcurses
# with gcc on a Sequent also use:
#CC=att gcc
#CFLAGS=  -DSYSV2 -g -pipe -traditional

#########################################
# Use this for system V.3
#CFLAGS=  -DSYSV3 -O
#LDFLAGS= -s
#CFLAGS=  -DSYSV3 -g
#LDFLAGS= -g
#LIB=-lm -lncurses -lfl
# with gcc also use:
#CC=gcc
#CFLAGS=  -DSYSV3 -O -pipe
# debugging bison (bison 1.16 is broken)
#CFLAGS=  -DSYSV3 -g -pipe -traditional
#YACC=bison -y -v -t -l

#########################################
# Use this for system V.4
#CFLAGS=  -DSYSV4 -DSYSV3 -O
#LDFLAGS= -s
#LIB=-lm -lcurses -lgen
# with gcc also use:
#CC=gcc
#CFLAGS=  -DSYSV3 -O -pipe

#########################################
# Microport
#CFLAGS= -DSYSV2 -O -DUPORT -Ml
#LDFLAGS=-Ml
#LIB=-lm -lcurses -lPW

#########################################
# Use this for BSD 4.2
#CFLAGS= -O -DBSD42
#LDFLAGS=
#LIB=-lm -lcurses -ltermcap
# with gcc also use:
#CC=gcc

#########################################
# Use this for Sequent boxes
#CC=atscc
#CFLAGS=-O -DBSD42
#LDFLAGS= 
#LIB=-lm -lcurses  -ltermcap
#PSCLIB=-lseq
# with gcc also use:
#CC=gcc
#CFLAGS= -O -DBSD42 -pipe

#########################################
# Use this for BSD 4.3
#CFLAGS= -O -DBSD43	#-O or -g
#LDFLAGS=	# -lg might help if -g used in CFLAGS
#LIB=-lm -lcurses -ltermcap

#########################################
# Use this for SunOS 4.X if you have the System V package installed.
# This will link with the System V curses which is preferable to the
# BSD curses (especially helps scrolling on slow (9600bps or less)
# serial lines).
#
# Be sure to define SIGVOID and RE_COMP above.
# 
#CC=/usr/5bin/cc
#CFLAGS= -O -DSYSV3 
#LDFLAGS=
#LIB=-lm -lcurses 

#########################################
# Use this for system III (XENIX)
#CFLAGS= -O -DSYSIII
#LDFLAGS= -i
#LIB=-lm -lcurses -ltermcap

#########################################
# Use this for XENIX Version 2.3
#CFLAGS= -O -DSYSIII -DXENIX2_3
#LDFLAGS= -i
#LIB=-lm -lcurses -ltermcap

#########################################
# Use this for VENIX
#CFLAGS= -DVENIX -DBSD42 -DV7
#LDFLAGS= -z -i 
#LIB=-lm -lcurses -ltermcap

#########################################
# For SCO Unix V rel. 3.2.0
#       -compile using rcc, cc does not cope with gram.c
#       -edit /usr/include/curses.h, rcc does not understand #error
#       -link: make CC=cc, rcc's loader gets unresolved __cclass, __range
#               (rather strange,?)
#CC=rcc
#CC=cc
#CC=gcc -fstrength-reduce
#SIGVOID=-DSIGVOID
#CFLAGS= -O -DSYSV3
#LDFLAGS=
#LIB=-lm -lcurses -ltinfo -lPW
#YACC=yacc -Sm10000

#########################################
# Use this for SCO Unix 3.2.2 and ODT 1.1
#CC=cc
#CFLAGS= -O -DSYSV3
#LDFLAGS=
#LIB=-lm -lcurses -lPW -lmalloc -lc_s
#YACC=yacc -Sm10000

#########################################
# Use this for MS-DOS, Microsoft C 5.1 and NDMAKE
#CC=cl
#CFLAGS= -AL -O -Fo$*.o
#LDFLAGS=/noi /st:0x4000
#LIB=lcurses
#YACC=bison -y
#
#.SUFFIXES : .o .c
#.c.o:
#	$(CC) $(CFLAGS) -c $*.c

#########################################
# Use this for Linux
CC=gcc
# Only use -Wall for testing, since it produces warnings that are of no
# real effect on the reliability of the program, but may concern some
# people who don't understand them.
#CFLAGS=-DSYSV3 -O2 -Wall -pipe
CFLAGS=-DSYSV3 -O2 -pipe
LIB=-lm -lncurses

# All of the source files
SRC=Makefile color.c cmds.c crypt.c eres.sed frame.c format.c gram.y help.c \
	interp.c lex.c pipe.c psc.c range.c sc.c sc.h screen.c sort.c sres.sed \
	version.c vi.c vmtbl.c xmalloc.c

# The objects
OBJS=cmds.o color.o crypt.o format.o frame.o gram.o help.o interp.o lex.o \
	pipe.o range.o sc.o screen.o sort.o version.o vi.o vmtbl.o xmalloc.o

# The documents in the Archive
DOCS=CHANGES README sc.doc psc.doc tutorial.sc VMS_NOTES torev build.com

all:	$(name) p$(name) $(name)qref

$(name):$(PAR)  $(OBJS)
	$(CC) ${LDFLAGS} ${OBJS} ${LIB} -o $(name)

# Alternative link for MS-DOS
#$(name):	$(OBJS)
#	link ${LDFLAGS} ${OBJS},$(name),,${LIB};

gram.c:	gram.y
	$(YACC) -d gram.y
	mv $(YTAB).c gram.c

$(YTAB).h:	gram.y

p$(name):	psc.c pvmtbl.o pxmalloc.o
	$(CC) $(CFLAGS) ${LDFLAGS} -o p$(name) psc.c pvmtbl.o pxmalloc.o ${PSCLIB}

# Alternative link for MS-DOS (NB: MSC 5.1 has no getopt.c)
#p$(name):	psc.o pvmtbl.o pxmalloc.o getopt.o
#	link ${LDFLAGS} psc.o pvmtbl.o pxmalloc.o getopt.o,p$(name);

qhelp.c: help.c
	-rm -f qhelp.c
	${LN} help.c qhelp.c

$(name)qref:	qhelp.c sc.h
	$(CC) $(CFLAGS) $(LDFLAGS) -DQREF $(QREF_FMT) -DSCNAME=\"$(NAME)\" -o $(name)qref qhelp.c

# Alternative link for MS-DOS
#$(name)qref:	qhelp.c sc.h
#	$(CC) -AL -O -Foqhelp.o -c -DQREF -DSCNAME=\"$(name)\" qhelp.c
#	link ${LDFLAGS} qhelp.o,$(name)qref;

pvmtbl.c: vmtbl.c
	-rm -f pvmtbl.c
	${LN} vmtbl.c pvmtbl.c

pvmtbl.o: sc.h pvmtbl.c
	$(CC) ${CFLAGS} -c -DPSC pvmtbl.c

pxmalloc.c: xmalloc.c
	-rm -f pxmalloc.c
	${LN} xmalloc.c pxmalloc.c

# Objects

cmds.o: cmds.c sc.h
	$(CC) ${CFLAGS} ${DOBACKUPS} ${CRYPT} -c cmds.c

crypt.o: crypt.c sc.h
	$(CC) ${CFLAGS} ${CRYPT} ${DOBACKUPS} -c crypt.c

format.o: format.c

help.o: help.c sc.h
	$(CC) ${CFLAGS} ${CRYPT} -c help.c

qhelp.o: qhelp.c sc.h
	$(CC) ${CFLAGS} ${CRYPT} -c qhelp.c

interp.o:	interp.c sc.h
	$(CC) ${CFLAGS} ${IEEE_MATH} ${SIGVOID} ${RINT} ${RE_COMP} ${REGCMP} \
	${FMOD} -c interp.c

gram.o:	sc.h $(YTAB).h gram.c
	$(CC) ${CFLAGS} -c gram.c
	sed < gram.y > experres.h -f eres.sed
	sed < gram.y > statres.h -f sres.sed

lex.o:	sc.h $(YTAB).h gram.o lex.c
	$(CC) ${CFLAGS} ${SIMPLE} ${IEEE_MATH} ${SIGVOID} ${NO_NOTIMEOUT} \
	-c lex.c

pipe.o: pipe.c sc.h

pxmalloc.o: sc.h pxmalloc.c
	$(CC) ${CFLAGS} -c -DPSC pxmalloc.c

range.o: range.c sc.h

frame.o: frame.c sc.h

color.o: color.c sc.h

sc.o:	sc.h sc.c
	$(CC) ${CFLAGS} ${DFLT_PAGER} ${SIGVOID} ${SAVE} -c sc.c

screen.o:	sc.h screen.c
	$(CC) ${CFLAGS} ${BROKENCURSES} ${IDLOKISBAD} ${RIGHTBUG} ${SIGVOID} \
	${NO_IDLOK} -c screen.c

vi.o: vi.c sc.h

sort.o: sort.c sc.h

# other stuff

clean:
	rm -f *.o *res.h $(YTAB).h debug core gram.c $(name).1 p$(name).1 \
	y.output pxmalloc.c pvmtbl.c qhelp.c tags

distclean:
	rm -f *.o *res.h $(YTAB).h $(name) p$(name) debug core gram.c \
	$(name).1 $(name).man p$(name).man p$(name).1 y.output $(name)qref \
	pxmalloc.c pvmtbl.c qhelp.c tags

shar: ${SRC} ${DOCS}
	shar -c -m 64000 -f shar ${DOCS} ${SRC}

sshar: ${SRC}
	shar -c -m 1000000 -f shar ${SRC}

lint: sc.h sc.c lex.c gram.c interp.c cmds.c color.c crypt.c frame.c pipe.c \
	range.c help.c vi.c version.c xmalloc.c format.c vmtbl.c
	lint ${LINTFLAGS} ${CFLAGS} ${SIMPLE} sc.c lex.c gram.c interp.c \
	cmds.c color.c crypt.c frame.c pipe.c range.c help.c vi.c version.c \
	xmalloc.c format.c vmtbl.c -lcurses -lm 
	make lintqref

lintqref: help.c
	lint ${LINTFLAGS} ${CFLAGS} ${SIMPLE} -DQREF help.c

lintpsc: psc.c vmtbl.c

## sc 7.16

=== debian/changelog ===
sc (7.16-4) unstable; urgency=low

  * debian/patches/function_definitions
    + use correct function signature instead of relying on implied
      one which used wrong number of parameters.
      This was found by Michael Tautschnig. (closes: #748220)
    + move most of the function declarations from sc.c into sc.h
    + is_cleared flag is now a macro in standard curses.h - to prevent
      redefinitions, prepend sc's flag usage with flag_

  * debian/patches/Upstream-changes-from-old-versions
    + contains all patches to upstream changes as one-big-diff. All of the
      changes should be self-explanatory (variable initialization, always return
      value from a function, etc.)
    + adding this quilt patch fixes FTBFS bug introduced by "new" behaviour
      to dpkg-source (closes: #643269). Yes, it's been a while since this
      package was updated.

  * debian/patches/use_varadic_macro
    + use variadic macros instead allowing us to silence "unused
      calculation results" warnings

  * debian/patches/call_function_not_take_its_address
    + call a function and use its return value instead of taking its
      address which is always true.

  * Update standards to 3.9.5

 -- Adam Majer <adamm@zombino.com>  Sun, 18 May 2014 14:28:50 -0500

sc (7.16-3) unstable; urgency=low

  * Changed maintainer to the new email address, recursively.
  * Fixed old changelog entries' bug closing method
  * Add patches supplied by Carsten Hey
    + Stop compressing tutorial.sc file (closes: #514777)
    + Use default colors (closes: #514775)
  * Bump Standards to 3.8.4.
  * Bump dependency of debhelper.

 -- Adam Majer <adamm@zombino.com>  Mon, 03 May 2010 15:52:17 -0500

sc (7.16-2) unstable; urgency=low

  * New maintainer (closes: #260000)
  * Fixed the code to remove most of the warnings during compile.
  * No longer tries to "redefine" malloc (closes: #259840)
  * debian/rules now uses debhelper

 -- Adam Majer <adamm@zombino.com>  Mon, 19 Jul 2004 14:24:48 -0500

sc (7.16-1) unstable; urgency=low

  * New upstream version.  (closes: Bug#131782, Bug#169590)
  * Doesn't use '#' as backup character.  (closes: Bug#127612)
  * Help page index fixed.  (closes: Bug#115456)
  * Tutorial file location corrected in man page.  (closes: Bug#115454)

 -- Chad Miller <cmiller@debian.org>  Tue, 19 Nov 2002 14:11:52 -0500

sc (7.13-2) unstable; urgency=low

  * Fixed spelling error in package description.

 -- Chad Miller <cmiller@debian.org>  Tue, 18 Dec 2001 14:22:47 +0000

sc (7.13-1) unstable; urgency=low

  * New upstream version; many bugfixes.  (closes: Bug#114473)

 -- Chad Miller <cmiller@debian.org>  Thu,  4 Oct 2001 19:54:46 +0000

sc (6.21-12) unstable; urgency=low

  * Installed 'tutorial.sc' in doc directory.  (closes: Bug:85546)

 -- Chad Miller <cmiller@debian.org>  Sat, 17 Mar 2001 15:03:21 -0500

sc (6.21-11) unstable; urgency=low

  * Maintainer change. (closes: Bug#68149)
  * Put manpages under /usr/share/man, as recent policy says.
  * Added to CFLAGS, to prevent ``still changing'' bug on some architectures.
    (closes: Bug#50986)

 -- Chad Miller <cmiller@debian.org>  Mon,  8 Jan 2001 15:20:02 -0500

sc (6.21-10) unstable; urgency=low

  * Added support for cursor keys, thanks to D. J. Raymond
    <raymond@kestrel.nmt.edu>

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun,  2 Jan 2000 17:35:34 +0100

sc (6.21-9) unstable; urgency=low

  * Corrected manpage creation (closes: Bug#48133)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 29 Oct 1999 00:32:30 +0200

sc (6.21-8) frozen unstable; urgency=low

  * Removed external declaration for strcpy() and strcat() from format.c
    and included <string.h> instead. (closes: Bug#29540)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 17 Nov 1998 11:19:50 +0100

sc (6.21-7) unstable; urgency=low

  * Re-compiled against ncurses4

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 30 Oct 1998 11:14:48 +0100

sc (6.21-6) unstable; urgency=low

  * Applied y2k patch from L J Bayuk <lbayuk@mindspring.com>.  Thanks to
    Ray for forwarding.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 23 Oct 1998 19:21:05 +0200

sc (6.21-5) unstable; urgency=low

  * Undebhelpering it
  * Recompiled against ncurses3.4 to make it work with that lib (closes:
    Bug#25513, Bug#23241)
  * This works together with the current ncurses package

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun,  6 Sep 1998 22:22:47 +0000

sc (6.21-4) unstable; urgency=high

  * Recompiled against ncurses3.4 to make it work with that lib (closes:
    Bug#22616)
  * Added Conflicts: ncurses3.4 (<<1.9.9g-8.2)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 19 May 1998 10:30:44 +0200

sc (6.21-3) frozen unstable; urgency=low

  * Corrected sc.1 manpage (closes: Bug#20915)
  * Removed dh_du
  * Added scqref.1 undocumented manpage link

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 11 Apr 1998 04:45:23 +0200

sc (6.21-2) unstable; urgency=low

  * Removed dependency to regex (closes: Bug#20079)
  * Little code clean ups in pvmtbl.c

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 23 Mar 1998 01:56:31 +0100

sc (6.21-1) unstable; urgency=low

  * First release
  * Removed references to initkbd(), resetkbd() and kbd_again()
  * Changed nmgetch() to getch()

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 12 Mar 1998 02:58:48 +0100

=== debian/control ===
Source: sc
Section: math
Priority: optional
Build-Depends: libncurses5-dev, bison, debhelper (>>7)
Maintainer: Adam Majer <adamm@zombino.com>
Standards-Version: 3.9.5
Vcs-Browser: http://git.debian.org/?p=collab-maint/sc.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/sc.git

Package: sc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Text-based spreadsheet with VI-like keybindings
 "Spreadsheet Calculator" is a much modified version of the public-
 domain spread sheet sc, which was posted to Usenet several years ago
 by Mark Weiser as vc, originally by James Gosling. It is based on
 rectangular table much like a financial spreadsheet.
 .
 Its keybindings are familiar to users of 'vi', and it has most
 features that a pure spreadsheet would, but lacks things like
 graphing and saving in foreign formats.  It's very stable and quite
 easy to use once you've put a little effort into learning it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all sc.1 psc.1 CC=gcc CFLAGS="-O2 -Wall -DSYSV3 -ffloat-store"
	#/usr/bin/docbook-to-man debian/sc.sgml > sc.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-test -f Makefile && $(MAKE) clean
	rm -f sc psc scqref
	find . -name '*~' -exec rm {} \;
	rm -rf stamp-build *~

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep -k 
	dh_installdirs

	# Add here commands to install the package into debian/sc.
	# $(MAKE) install DESTDIR=$(CURDIR)/debian/sc


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
#	dh_link
	dh_strip
	dh_compress -X tutorial.sc
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sc 7.16-1.1.2

=== debian/changelog ===
sc (7.16-1.1.2-1) unstable; urgency=medium

  * Team upload of Debian team.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * New upstream version
    Closes: #945266
  * d/control: Add homepage
  * Add watch file
  * Build-Depends: s/libncurses5-dev/libncurses5-dev/
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Helmut Grohne ]
  * Fix FTCBFS: Stop forcing the build architecture compiler.
    Closes: #1008912

 -- Andreas Tille <tille@debian.org>  Thu, 21 Nov 2024 16:57:39 +0100

sc (7.16-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS for GCC-14 (Closes: #1075489)
    - Add debian/patches/fix-ftbfs-gcc14.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 11 Aug 2024 13:45:53 +0800

sc (7.16-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by -Werror=implicit-function-declaration (Closes: #1066346)
    - Add debian/patches/fix-ftbfs-implicit-function-declaration.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 07 Apr 2024 09:47:51 +0800

sc (7.16-4.1) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Non-maintainer upload.
  * Change debhelper compat version from 5 to 11. (Closes: #999240)
    - Update debian/rules.
      + This also fixes FTCBFS (Closes: #884727)
    - Clean files by debian/clean
  * Add debian/patches/hardening: hardening format strings.
  * Merge patches from Ubuntu. (Closes: #815936)
  * Add autopkgtest

  [ Serge Hallyn <serge.hallyn@ubuntu.com> ]
  * lex.c: do not set notimeout (LP: #1549665)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 26 Jan 2022 01:22:23 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: sc
 Section: math
 Priority: optional
-Build-Depends: libncurses5-dev, bison, debhelper (>>7)
+Build-Depends: libncurses-dev, bison, debhelper-compat (= 13)
 Maintainer: Adam Majer <adamm@zombino.com>
-Standards-Version: 3.9.5
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sc.git;a=summary
-Vcs-Git: git://git.debian.org/collab-maint/sc.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/sc
+Vcs-Git: https://salsa.debian.org/debian/sc.git
+Homepage: https://github.com/n-t-roff/sc
+Rules-Requires-Root: no
 
 Package: sc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	# This is not an automake created configure
	./configure

override_dh_auto_build:
	dh_auto_build -- all sc.1 psc.1 CFLAGS="-Wall -DSYSV3 -ffloat-store $(CFLAGS)"

override_dh_auto_install:
	# dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	find . -name '*~' -exec rm {} \;

=== debian/watch ===
version=4

opts="uversionmangle=s/_/-/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/n-t-roff/sc/tags (?:.*?/)?v?(\d[\d._]*)\.tar\.gz

## sc 7.16-1.1.3

=== debian/changelog ===
sc (7.16-1.1.3-1) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fixes for FTBFS with GCC 15. (Closes: #1097847)

  [ Andreas Tille ]
  * d/watch: version=5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 06:41:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: sc
+Standards-Version: 4.7.2
+Maintainer: Adam Majer <adamm@zombino.com>
 Section: math
 Priority: optional
-Build-Depends: libncurses-dev, bison, debhelper-compat (= 13)
-Maintainer: Adam Majer <adamm@zombino.com>
-Standards-Version: 4.7.0
+Build-Depends:
+ libncurses-dev,
+ bison,
+ debhelper-compat (= 13),
 Vcs-Browser: https://salsa.debian.org/debian/sc
 Vcs-Git: https://salsa.debian.org/debian/sc.git
 Homepage: https://github.com/n-t-roff/sc
@@ -11,7 +14,9 @@
 
 Package: sc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: Text-based spreadsheet with VI-like keybindings
  "Spreadsheet Calculator" is a much modified version of the public-
  domain spread sheet sc, which was posted to Usenet several years ago

=== debian/tests/control ===
Tests: test-psc
Depends: @

=== debian/watch ===
Version: 5

Source: https://github.com/n-t-roff/sc/tags
Matching-Pattern: (?:.*?/)?(\d[_\d.]+)@ARCHIVE_EXT@
Uversion-Mangle: s/_/-/
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%

## sc 200

=== Makefile ===
#
# $Id: Makefile,v 1.1 1996/01/12 07:59:26 bjorn Exp $
#
CFLAGS = -DDEBUG -Wall -g
O = o
YFLAGS = -d

OBJS = scottcom.$(O) code.$(O) init.$(O) \
       dict.$(O) item.$(O) room.$(O) message.$(O) \
       output.$(O) symbol.$(O) ti99.$(O) parser.$(O) font.$(O)

scottcom: $(OBJS)
	$(CC) -o scottcom $(OBJS)

parser.c: parser.y
	yacc $(YFLAGS) parser.y
	mv y.tab.h parser.h
	mv y.tab.c parser.c
	
parser.h init.$(O) dict.$(O): parser.$(O)

init.$(O): parser.h

## sc gallery-0.0.15

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS     ?=
SPHINXBUILD    ?= sphinx-build
SPHINXAPIBUILD ?= sphinx-apidoc
SOURCEDIR      = .
BUILDDIR       = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

api:
	@$(SPHINXAPIBUILD) -o "$(SOURCEDIR)" ../scgallery

.PHONY: help Makefile api

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
